# syntax=docker/dockerfile:1
FROM ruby:2.7.6

SHELL ["/bin/bash", "-o", "pipefail", "-c"]

RUN apt-get update -qq && apt-get install -y --no-install-recommends curl \
      ldap-utils tini
RUN curl -fsSL https://deb.nodesource.com/setup_lts.x | bash -
RUN apt-get update && apt-get install -y nodejs

WORKDIR /akkounts

COPY ["Gemfile", "Gemfile.lock", "package.json", "./"]

RUN bundle install
RUN gem install foreman
RUN npm install -g yarn
RUN yarn install

ENTRYPOINT ["/usr/bin/tini", "--"]
EXPOSE 3000
